physdev
3
HAL Library

# physdev

## Synopsis

    void        hotplug_event_begin_add_physdev (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 HalDevice *parent,
                                                 void *end_token);
    void        hotplug_event_begin_remove_physdev
                                                (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 void *end_token);
    gboolean    physdev_rescan_device           (HalDevice *d);
    HotplugEvent* physdev_generate_add_hotplug_event
                                                (HalDevice *d);
    HotplugEvent* physdev_generate_remove_hotplug_event
                                                (HalDevice *d);

## Description

## Details

### hotplug_event_begin_add_physdev ()

    void        hotplug_event_begin_add_physdev (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 HalDevice *parent,
                                                 void *end_token);

`subsystem` :

`sysfs_path` :

`parent` :

`end_token` :

### hotplug_event_begin_remove_physdev ()

    void        hotplug_event_begin_remove_physdev
                                                (const gchar *subsystem,
                                                 const gchar *sysfs_path,
                                                 void *end_token);

`subsystem` :

`sysfs_path` :

`end_token` :

### physdev_rescan_device ()

    gboolean    physdev_rescan_device           (HalDevice *d);

`d` :

Returns :

### physdev_generate_add_hotplug_event ()

    HotplugEvent* physdev_generate_add_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :

### physdev_generate_remove_hotplug_event ()

    HotplugEvent* physdev_generate_remove_hotplug_event
                                                (HalDevice *d);

`d` :

Returns :